/***************************************************************************
                           DScalerFilterGreedy2frame.cpp
                           -----------------------------
    begin                : Fri Jun 18 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
***************************************************************************/

/*
 * Greedy2Frame algorithm taken from DScaler.
 * Copyright (c) 2000 John Adcock, Tom Barry, Steve Grimm  All rights reserved.
 *
 * Ported by: Dirk Ziegelmeier
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 */

#include <stdlib.h>

#include <klocale.h>
#include "dscalerfiltergreedy2frame.h"
#include "kdetvvideo/x86-64_macros.inc"

DScalerFilterGreedy2Frame::DScalerFilterGreedy2Frame()
    : KdetvDScalerFilter(i18n("Greedy2Frame")),
      _lumaThreshold(LUMATHRESHOLD_DEFAULT),
      _chromaThreshold(CHROMATHRESHOLD_DEFAULT)
{
}


DScalerFilterGreedy2Frame::~DScalerFilterGreedy2Frame()
{
}


