// -*- c++ -*-
/***************************************************************************
                           kdetvsettingswidgetimpl.h
                           ----------------------------
    begin                : Sun Oct 19 2003
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KDETVSETTINGSWIDGETIMPL_H
#define KDETVSETTINGSWIDGETIMPL_H

#include "ui_kdetvsettingswidget.h"
#include "settingsdialogpage.h"

class MainWindow;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */
class KdetvSettingsWidgetImpl : public QWidget, public Ui::KdetvSettingsWidget, public SettingsDialogPage
{
    Q_OBJECT

 public:
    KdetvSettingsWidgetImpl(QWidget*, MainWindow*);
    ~KdetvSettingsWidgetImpl();

    virtual void setup();
    virtual void apply();
    virtual void defaults();

 private:
    MainWindow* _mw;
};

#endif
